List files
List files
GET
https://api.ocamba.com/v2/adex/media-library
Returns files from the Adex media library. File metadata is stored on Ocamba. This route always reads the Adex app id. The caller cannot select another app.
Tip
Default search field is name.
Default sort is -create_time.
Note
No matches return 200 with total 0 and items [].
Rate limits:
- Burst: 10/s
- Steady: 150/m
Query parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v2/adex/media-library" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/media-library';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/media-library");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
{
"total": 1,
"items": [
{
"id": "167",
"app_id": "1001",
"company_id": "200",
"user_id": "1000077",
"location": "https://cdn.example/share/200/adex/media/99-logo.png",
"name": "logo.png",
"size": 20480,
"mime_type": "image/png",
"width": 120,
"height": 40,
"create_time": "2026-03-10 12:00:00",
"update_time": "2026-03-10 12:00:00"
}
]
}
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses